POST Add/Update proctoring

This API toggles the status of proctoring setting in Assessments settings

Request URL

POST /proctoring

Body Parameters

{
    "proctoring": {
        "ai": false,
        "eyegaze": false,
        "offtab": true,
        "screen_record": false,
        "webcam": true
    },
    "updateAll": "boolean"
}

Warning

Make sure to add your API key in Header of the request

Parameters

Parameter

Type

Description

offtab

boolean

Enables off-tab tracking during the assessment.

screen_record

boolean

Enables screen recording during the assessment.

webcam

boolean

Enables webcam usage, which is required for AI and eyegaze.

ai

boolean

Enables AI monitoring. Can be toggled but requires webcam.

eyegaze

boolean

Enables eye gaze tracking. Can be toggled but requires webcam.

updateAll

boolean

If true, proctorings are updated in all the assessments else, it is only updated in assessment settings.

Response

{
    "status": "success",
    "message": "Proctoring added successfully"
}